import request from '@/utils/request'

// 查询特种设备锅炉台账历史列表
export function listGl(query) {
  return request({
    url: '/his/gl/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备锅炉台账历史详细
export function getGl(id) {
  return request({
    url: '/his/gl/' + id,
    method: 'get'
  })
}

// 新增特种设备锅炉台账历史
export function addGl(data) {
  return request({
    url: '/his/gl',
    method: 'post',
    data: data
  })
}

// 修改特种设备锅炉台账历史
export function updateGl(data) {
  return request({
    url: '/his/gl',
    method: 'put',
    data: data
  })
}

// 删除特种设备锅炉台账历史
export function delGl(id) {
  return request({
    url: '/his/gl/' + id,
    method: 'delete'
  })
}

// 导出特种设备锅炉台账历史
export function exportGl(query) {
  return request({
    url: '/his/gl/export',
    method: 'get',
    params: query
  })
}